Subject: Re: Is it worth adding Assert(false) for unknown paths in print_path()?

From: Alvaro Herrera <[email-masked]>
Date: Thu, 28 Sep 2023 15:41:06 +0200

On 2023-Sep-29, David Rowley wrote:

> In [1] Andrey highlighted that I'd forgotten to add print_path()
> handling for TidRangePaths in bb437f995.
> 
> I know the OPTIMIZER_DEBUG code isn't exactly well used.  I never
> personally use it and I work quite a bit in the planner, however, if
> we're keeping it, I thought maybe we might get the memo of missing
> paths a bit sooner if we add an Assert(false) in the default cases.
> 
> Is the attached worthwhile?

Hmm, if we had a buildfarm animal with OPTIMIZER_DEBUG turned on, then I
agree it would catch the omission quickly.

-- 
Álvaro Herrera         PostgreSQL Developer  —  https://www.EnterpriseDB.com/
"¿Cómo puedes confiar en algo que pagas y que no ves,
y no confiar en algo que te dan y te lo muestran?" (Germán Poo)